# List all portfolios No specific scope required. Endpoint: GET /portfolios Version: v1 Security: http, oauth2 ## Query parameters: - `sort` (string) Available sorts are title, updated_at, created_at.You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title. Example: "sort=-created_at,title" - `include` (string) Available includes are projects_assigned. You can include multiple options by separating them with a comma. - `page[size]` (integer) The number of results that will be returned per page. - `page[cursor]` (string) The cursor to start the pagination from. - `filter` (string) Allowed filter fields (with allowed operators): | Field | Type | Operators | |------|------|-----------| | title | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull | | created_at | date | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull | Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL. You can check the full syntax at Docs Filtering section. Special values: - me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id - now — current date-time. Example: dueOn lt now - sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow - som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom - today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today - today±Nd — relative day offset. Examples: today-30d, today+5d. Example: "title contains \"Acme\" and (created_at >= \"2024-01-01\" or client.name contains \"Corp\")" ## Response 200 fields (application/json): - `data` (array, required) The list of items - `data.id` (string, required) - `data.title` (string, required) - `data.tags` (array, required) - `data.projects_assigned` (array, required) Projects directly assigned to this portfolio - `data.projects_assigned.external_id` (string,null, required) Can be used to add an identifier to the project from an external system, must be unique - `data.projects_assigned.external_origin` (string,null, required) If originated from external system origin is added - `data.projects_assigned.description` (string,null, required) - `data.projects_assigned.shortcode` (string, required) - `data.projects_assigned.po_number` (string,null, required) - `data.projects_assigned.project_type` (any, required) - `data.projects_assigned.project_group` (any, required) - `data.projects_assigned.status` (string, required) - `data.projects_assigned.is_acquisition` (boolean, required) - `data.projects_assigned.is_private` (boolean, required) - `data.projects_assigned.start_date` (string,null, required) - `data.projects_assigned.end_date` (string,null, required) - `data.projects_assigned.client` (object, required) - `data.projects_assigned.client.external_id` (string,null, required) Can be used to add an identifier to the client from an external system, must be unique - `data.projects_assigned.client.name` (string, required) - `data.projects_assigned.client.primary_contact` (any, required) - `data.projects_assigned.client.origin_space` (any, required) - `data.projects_assigned.portfolios` (array) - `data.projects_assigned.custom_fields` (object, required) The key is the field name for your custom field, value type depends on the field type - `data.projects_assigned.team` (array) Project team - `data.projects_assigned.team.first_name` (string, required) - `data.projects_assigned.team.last_name` (string, required) - `data.projects_assigned.team.email` (string, required) - `data.projects_assigned.team.type` (string, required) Enum: "user", "guest", "tax_advisor", "integration" - `data.projects_assigned.team.is_project_lead` (boolean, required) - `data.projects_assigned.team.added_at` (string, required) - `data.projects_assigned.team.space` (object, required) - `data.projects_assigned.guests` (array) Project guests - `data.projects_assigned.computed_fields` (object) - `data.shared_spaces` (array, required) Spaces the portfolio is shared with, is also empty if portfolio is shared from another space - `links` (array, required) - `meta` (object, required) - `meta.path` (string,null, required) Base path for paginator generated URLs. - `meta.per_page` (integer, required) Number of items shown per page. - `meta.next_cursor` (string,null, required) - `meta.next_cursor_url` (string,null, required) - `meta.prev_cursor` (string,null, required) - `meta.prev_cursor_url` (string,null, required) ## Response 401 fields (application/json): - `message` (string, required) Error overview.